{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.programs.ripgrep;
in
{
  options.marleyos.programs.ripgrep.enable = mkEnableOption "ripgrep";

  config = mkIf cfg.enable {
    programs.ripgrep.enable = true;
  };
}
